=== debian/changelog ===
ngcp-deployment-iso (13.5.1.1+0~mr13.5.1.1) unstable; urgency=medium

  [ Mykola Malkov ]
  * [12133a5] MT#59155 Add ngcpinternal option

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 02 Oct 2025 10:53:14 +0200

ngcp-deployment-iso (13.5.1.0+0~mr13.5.1.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [1faedf4] MT#62763 Fix shellcheck issues

  [ Michael Prokop ]
  * [fd55984] MT#63155 Fix EFI detection for kernel versions >=6.3
  * [75b0f92] MT#62787 SW-RAID: install only to first RAID disk to not fail in non-EFI mode
  * [f511741] MT#63016 Use puppet-agent from bookworm on Debian/trixie
  * [53cb777] MT#60283 Update grml-live to version 0.54.1

  [ Mykola Malkov ]
  * [2713ded] MT#62936 Wait for memtest starts
  * [3eff753] MT#62936 Bump REFRESHED_AT to force docker image rebuild
  * [b8e8423] MT#62936 Update memtest

  [ Jose Su ]
  * [817d48e] MT#63510 Add missing quote in build command inside wrapper.sh

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:43:34 +0200

ngcp-deployment-iso (13.5.0.0+0~mr13.5.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [b2e2954] MT#62436 Fix shellcheck issues + parse IP information programmatically
  * [779b43b] MT#62436 Support Debian/trixie in ensure_packages_installed
  * [112f883] MT#62436 ensure_packages_installed: to not get stuck on conf file conflicts
  * [c828990] MT#62436 Use virtualbox-guest-additions ISO from upstream on Debian/trixie
  * [e2db6df] MT#62436 Prevent vboxadd* services to run outside of VirtualBox envs
  * [001c9c6] MT#62787 Ensure grml-debootstrap's GRUB device is set also in SW-RAID setups
  * [2974f71] MT#62787 Drop /sys/block autodetection code.
    Thanks to Volodymyr Fedorov for reporting and assistance
  * [b6f8f41] Revert "MT#62787 Drop /sys/block autodetection code"
  * [b2007bd] MT#62787 Support NVMe disks in autodetection code
  * [6c4ea75] MT#62864 Ensure to always have e2fsprogs available
  * [ab97f43] MT#62988 Drop cpufrequtils from software selection
  * [9a6278e] MT#62988 Switch from ntpdate to ntpsec-ntpdate
  * [c0285b7] MT#56773 deployment.sh: assume bookworm  by default and drop deprecated workarounds
  * [cd2dabc] MT#56773 deployment.sh: use recent packages of puppetlabs for Debian/bookworm
  * [f2f4f0d] MT#60283 GRUB/ISOLINUX: update Debian releases in boot templates
  * [9b12000] MT#60283 Update to grml2usb version v0.20.6
  * [8647b3d] MT#60283 Update to grml-live version v0.53.2 + Debian/trixie
  * [463dd9c] MT#60283 Fix repository key situation
  * [3afd4c0] MT#60283 Fix puppetlabs repository situation with puppet.gpg key
  * [bfc2bee] MT#63024 Support mdadm array creation with mdadm versions >=4.4

  [ Guillem Jover ]
  * [70ebf21] MT#62436 Install the VirtualBox Guest Additions in the target

  [ Sipwise Jenkins Builder ]
  * [b768547] MT#62971 Add mr13.5 LTS key to bootstrap

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 20 Jun 2025 10:42:42 +0200

ngcp-deployment-iso (13.4.0.0+0~mr13.4.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [dfd4606] MT#62436 Remove workaround for vboxadd services

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Apr 2025 08:26:47 +0200

ngcp-deployment-iso (13.3.0.0+0~mr13.3.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 28 Jan 2025 15:13:51 +0100

ngcp-deployment-iso (13.2.0.0+0~mr13.2.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [6eee97d] MT#61265 trixie: avoid SSH login failures due to OpenSSH penalize feature
  * [cfe9cce] MT#61271 trixie: adjust sshd_config after system is installed
  * [41029ed] MT#61264 Mark EFI partition as such only when running in an EFI environment

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 09 Dec 2024 11:25:32 +0100

ngcp-deployment-iso (13.1.0.0+0~mr13.1.0.0) unstable; urgency=medium

  * [862c84c] MT#60698 Add mr12.5 LTS key to bootstrap

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 01 Oct 2024 09:58:56 +0200

ngcp-deployment-iso (13.0.0.0+0~mr13.0.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [65c3fea] MT#60284 Provide qemu-guest-agent in our Grml Sipwise ISO
  * [c30b0b5] MT#60283 Update grml2usb to latest stable release v0.19.2
  * [24841c0] MT#60283 Update grml-live to latest stable release v0.47.7
  * [82e6638] MT#60284 Make sure qemu-guest-agent is available
  * [4a292ab] MT#60284 Only check whether /dev/virtio-ports/org.qemu.guest_agent.0 exists
  * [cf94193] MT#60284 Ensure to start qemu-guest-agent only after package got installed

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 28 Jul 2024 12:01:42 +0200

ngcp-deployment-iso (12.5.0.0+0~mr12.5.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [0a91a49] MT#58014 Remove support for fetching OpenPGP certificates from keyservers

  [ Mykola Malkov ]
  * [0fb8327] MT#59872 Remove Pro sp2 from boot menu
  * [6cf4786] MT#59872 Remove NGCP_PXE_INSTALL variable

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 22 May 2024 14:30:33 +0200

ngcp-deployment-iso (12.4.0.0+0~mr12.4.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [e9244a2] TT#118659 Wipe disk signatures more reliably with SW-RAID and NVMe setup
  * [fc9b43f] TT#118659 Fix re-deploying over existing SW-RAID arrays
  * [1d59d89] TT#118659 Do not abort on disk partition listing failures
  * [e99f33e] TT#118659 Do not fail when deploying SW-RAID if no RAID was present yet

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 15 Mar 2024 08:47:16 +0100

ngcp-deployment-iso (12.3.0.0+0~mr12.3.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [236cb2d] MT#58926 Vagrant: ensure to have libxmu6 available

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 15 Jan 2024 14:46:14 +0100

ngcp-deployment-iso (12.2.0.0+0~mr12.2.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [9cceb8d] MT#58356 ntp: Use ntpsec.service instead of ntp.service

  [ Michael Prokop ]

