=== debian/control ===
Source: ngcp-deployment-iso
Section: admin
Priority: optional
Maintainer: Sipwise Development Team <support@sipwise.com>
Homepage: https://www.sipwise.com/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 git,

Package: ngcp-deployment-scripts
Architecture: any
Depends:
 dmidecode,
 ${misc:Depends},
 ${shlibs:Depends},
Description: NGCP deployment ISO scripts
 Framework needed to install Sipwise NGCP system
 using iPXE and GRML during the boot process.
