## ngcp-deployment-iso 14.0.1.1+0~mr14.0.1.1

=== debian/changelog ===
ngcp-deployment-iso (14.0.1.1+0~mr14.0.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 09 Dec 2025 15:31:36 +0100

ngcp-deployment-iso (14.0.1.0+0~mr14.0.1.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [4a23083] MT#63380 Update virtualbox-guest-additions ISO from upstream 7.2.0

  [ Mykola Malkov ]
  * [8d4e6d5] MT#59155 Add ngcpinternal option
  * [b4f4a37] MT#48547 Add using of Debian wayback machine

  [ Michael Prokop ]
  * [f8fed4a] MT#63853 isolinux: fix file path for chain.c32 module

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Nov 2025 16:55:07 +0100

ngcp-deployment-iso (14.0.0.0+0~mr14.0.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [1faedf4] MT#62763 Fix shellcheck issues

  [ Michael Prokop ]
  * [fd55984] MT#63155 Fix EFI detection for kernel versions >=6.3
  * [75b0f92] MT#62787 SW-RAID: install only to first RAID disk to not fail in non-EFI mode
  * [f511741] MT#63016 Use puppet-agent from bookworm on Debian/trixie
  * [53cb777] MT#60283 Update grml-live to version 0.54.1

  [ Mykola Malkov ]
  * [2713ded] MT#62936 Wait for memtest starts
  * [3eff753] MT#62936 Bump REFRESHED_AT to force docker image rebuild
  * [b8e8423] MT#62936 Update memtest

  [ Jose Su ]
  * [817d48e] MT#63510 Add missing quote in build command inside wrapper.sh

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:43:35 +0200
